Subject: RE: bug#12139: 24.1; `occur-edit-mode' is completely broken if `pop-up-frames'=t

From: "Drew Adams" <[email-masked]>
Date: Sun, 5 Aug 2012 23:17:53 -0700

> > It's a long-standing issue with display-buffer.  The docstring of
> > display-buffer says
> >
> >    Display BUFFER-OR-NAME in some window, without selecting it.
> >
> > But when pop-up-frames is non-nil, display-buffer does 
> > explicitly select the window, via raising its frame.  One could
> > argue that this is desirable because the frame that is being
> > re-used might be obscured or out of sight, but it interferes
> > with Lisp callers which want to display stuff in another window
> > without losing focus from the current one (which is the main
> > role of display-buffer).
> 
> On reflection, I think this would be a useful application of the new
> display action parameter mechanism.  So I introduced a new
> `inhibit-switch-frame' action alist entry; callers like occur-edit,
> which require keeping focus can supply this parameter, can use this to
> tell `display-buffer' to avoid stealing focus away to another frame,
> even at the expense of obscuring the displayed window.

Thanks for the prompt fix.  When I get an MS Windows binary I will check whether
it takes care of things also when a standalone minibuffer frame is used on
Windows.  Thx.